/*======================================================*/
/*                       VCOPY.H                        */
/*    Copyright (C) 1993 Thomas Wlker und DMV-Verlag   */
/*------------------------------------------------------*/
/*                Headerfile fr vcopy.c                */
/*======================================================*/

/* ***********[ Allgemeine Definitionen ]****************/
typedef short   BOOL;
typedef unsigned WORD;

#define TRUE  1
#define FALSE 0

/***************[ Copy returns etc. ]********************/

#define CP_BLOCKSIZE 32767       // Blockgre fr Kopien
#define CP_OK             1      // Alles OK
#define CP_ERROPENSOURCE  2
#define CP_ERROPENDEST    3
#define CP_ERRLOCK        4
#define CP_ERRWRITE       5
#define CP_ERRVLDEINIT    6
#define CP_ERRVLINIT      7
#define CP_ERRVMALLOC     8
#define CP_ERRVLREAD      9

/***************[ Alles fr die Liste ]******************/

typedef struct tagVMNODE
{
  struct tagVMNODE *pNext; // Zeiger auf nchsten Knoten
  _vmhnd_t         hVM;    // Handle auf virt. Speicherbl.
  long             cSize;  // Gre des virtuellen Blocks
} VMNODE;

typedef struct tagVMROOT
{
  VMNODE    *pFirst;      // Zeiger auf den 1. Knoten
  VMNODE    *pAct;        // Zeiger auf aktuellen Knoten
  unsigned  cBlocks;      // Anzahl Blcke
} VMROOT;

/******************[ Funktionen ]************************/

WORD    Copy(char * pszSrc, char * pszDest);
WORD    VLRead(int hFile, long cBlockSize, VMROOT * vmr);
BOOL    VLInit(VMROOT *pRoot);
VMNODE *VLAddBlock(VMROOT *pRoot, long cSize);
WORD    VLReadBlock(VMNODE *pNode, int hFile, long cSize);
BOOL    VLDeinit(VMROOT vmRoot);
void    VLPanicAbort(VMROOT vmRoot);
void    BlockStatistics(VMNODE* pvmNode, unsigned nNode);
void    MemoryStatistics(void);

/*======================================================*/
/*                    Ende von VCOPY.H                  */
